diff -urN punbb-1.3/admin/bans.php punbb-1.3.1/admin/bans.php
--- punbb-1.3/admin/bans.php	2008-11-07 21:10:35.000000000 +0000
+++ punbb-1.3.1/admin/bans.php	2008-11-26 12:38:16.000000000 +0000
@@ -134,11 +134,12 @@
 	// Setup breadcrumbs
 	$forum_page['crumbs'] = array(
 		array($forum_config['o_board_title'], forum_link($forum_url['index'])),
-		array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index'])),
-		array($lang_admin_common['Users'], forum_link($forum_url['admin_users'])),
-		array($lang_admin_common['Bans'], forum_link($forum_url['admin_bans'])),
-		$lang_admin_bans['Ban advanced']
+		array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index']))
 	);
+	if ($forum_user['g_id'] == FORUM_ADMIN)
+		$forum_page['crumbs'][] = array($lang_admin_common['Users'], forum_link($forum_url['admin_users']));
+	$forum_page['crumbs'][] = array($lang_admin_common['Bans'], forum_link($forum_url['admin_bans']));
+	$forum_page['crumbs'][] = $lang_admin_bans['Ban advanced'];
 
 	($hook = get_hook('aba_add_edit_ban_pre_header_load')) ? eval($hook) : null;
 
@@ -390,10 +391,12 @@
 // Setup breadcrumbs
 $forum_page['crumbs'] = array(
 	array($forum_config['o_board_title'], forum_link($forum_url['index'])),
-	array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index'])),
-	array($lang_admin_common['Users'], forum_link($forum_url['admin_users'])),
-	array($lang_admin_common['Bans'], forum_link($forum_url['admin_bans']))
+	array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index']))
 );
+if ($forum_user['g_id'] == FORUM_ADMIN)
+	$forum_page['crumbs'][] = array($lang_admin_common['Users'], forum_link($forum_url['admin_users']));
+$forum_page['crumbs'][] = array($lang_admin_common['Bans'], forum_link($forum_url['admin_bans']));
+
 
 ($hook = get_hook('aba_pre_header_load')) ? eval($hook) : null;
 
diff -urN punbb-1.3/admin/censoring.php punbb-1.3.1/admin/censoring.php
--- punbb-1.3/admin/censoring.php	2008-10-30 22:16:26.000000000 +0000
+++ punbb-1.3.1/admin/censoring.php	2008-11-26 12:38:16.000000000 +0000
@@ -138,10 +138,12 @@
 // Setup breadcrumbs
 $forum_page['crumbs'] = array(
 	array($forum_config['o_board_title'], forum_link($forum_url['index'])),
-	array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index'])),
-	array($lang_admin_common['Settings'], forum_link($forum_url['admin_settings_setup'])),
-	array($lang_admin_common['Censoring'], forum_link($forum_url['admin_censoring']))
+	array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index']))
 );
+if ($forum_user['g_id'] == FORUM_ADMIN)
+	$forum_page['crumbs'][] = array($lang_admin_common['Settings'], forum_link($forum_url['admin_settings_setup']));
+$forum_page['crumbs'][] = array($lang_admin_common['Censoring'], forum_link($forum_url['admin_censoring']));
+
 
 ($hook = get_hook('acs_pre_header_load')) ? eval($hook) : null;
 
diff -urN punbb-1.3/admin/db_update.php punbb-1.3.1/admin/db_update.php
--- punbb-1.3/admin/db_update.php	2008-11-09 13:35:41.000000000 +0000
+++ punbb-1.3.1/admin/db_update.php	2008-11-26 14:40:11.000000000 +0000
@@ -10,7 +10,7 @@
  */
 
 
-define('UPDATE_TO', '1.3');
+define('UPDATE_TO', '1.3.1');
 define('UPDATE_TO_DB_REVISION', 3);
 
 // The number of items to process per pageview (lower this if the update script times out during UTF-8 conversion)
@@ -1222,7 +1222,7 @@
 		$forum_db->set_names('utf8');
 
 		// Convert config
-		echo 'Converting configuration …'."<br />\n";
+		echo 'Converting configuration…'."<br />\n";
 		foreach ($forum_config as $conf_name => $conf_value)
 		{
 			if (convert_to_utf8($conf_value, $old_charset))
@@ -1238,7 +1238,7 @@
 		}
 
 		// Convert categories
-		echo 'Converting categories …'."<br />\n";
+		echo 'Converting categories…'."<br />\n";
 		$query = array(
 			'SELECT'	=> 'id, cat_name',
 			'FROM'		=> 'categories',
@@ -1261,7 +1261,7 @@
 		}
 
 		// Convert forums
-		echo 'Converting forums …'."<br />\n";
+		echo 'Converting forums…'."<br />\n";
 		$query = array(
 			'SELECT'	=> 'id, forum_name, forum_desc, moderators',
 			'FROM'		=> 'forums',
@@ -1295,7 +1295,7 @@
 		}
 
 		// Convert groups
-		echo 'Converting groups …'."<br />\n";
+		echo 'Converting groups…'."<br />\n";
 		$query = array(
 			'SELECT'	=> 'g_id, g_title, g_user_title',
 			'FROM'		=> 'groups',
@@ -1320,7 +1320,7 @@
 		}
 
 		// Convert ranks
-		echo 'Converting ranks …'."<br />\n";
+		echo 'Converting ranks…'."<br />\n";
 		$query = array(
 			'SELECT'	=> 'id, rank',
 			'FROM'		=> 'ranks',
@@ -1343,7 +1343,7 @@
 		}
 
 		// Convert censor words
-		echo 'Converting censor words …'."<br />\n";
+		echo 'Converting censor words…'."<br />\n";
 		$query = array(
 			'SELECT'	=> 'id, search_for, replace_with',
 			'FROM'		=> 'censoring',
@@ -1408,7 +1408,7 @@
 		$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
 		while ($cur_item = $forum_db->fetch_assoc($result))
 		{
-			echo 'Converting report '.$cur_item['id'].' …<br />'."\n";
+			echo 'Converting report '.$cur_item['id'].'…<br />'."\n";
 			if (convert_to_utf8($cur_item['message'], $old_charset))
 			{
 				$query = array(
@@ -1477,7 +1477,7 @@
 		$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
 		while ($cur_item = $forum_db->fetch_assoc($result))
 		{
-			echo 'Converting search word '.$cur_item['id'].' …<br />'."\n";
+			echo 'Converting search word '.$cur_item['id'].'…<br />'."\n";
 			if (convert_to_utf8($cur_item['word'], $old_charset))
 			{
 				$query = array(
@@ -1535,7 +1535,7 @@
 		$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
 		while ($cur_item = $forum_db->fetch_assoc($result))
 		{
-			echo 'Converting user '.$cur_item['id'].' …<br />'."\n";
+			echo 'Converting user '.$cur_item['id'].'…<br />'."\n";
 			if (convert_to_utf8($cur_item['username'], $old_charset) | convert_to_utf8($cur_item['title'], $old_charset) | convert_to_utf8($cur_item['realname'], $old_charset) | convert_to_utf8($cur_item['location'], $old_charset) | convert_to_utf8($cur_item['signature'], $old_charset) | convert_to_utf8($cur_item['admin_note'], $old_charset))
 			{
 				$cur_item['title'] = $cur_item['title'] != '' ? '\''.$forum_db->escape($cur_item['title']).'\'' : 'NULL';
@@ -1610,7 +1610,7 @@
 		$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
 		while ($cur_item = $forum_db->fetch_assoc($result))
 		{
-			echo 'Converting topic '.$cur_item['id'].' …<br />'."\n";
+			echo 'Converting topic '.$cur_item['id'].'…<br />'."\n";
 			if (convert_to_utf8($cur_item['poster'], $old_charset) | convert_to_utf8($cur_item['subject'], $old_charset) | convert_to_utf8($cur_item['last_poster'], $old_charset))
 			{
 				$query = array(
@@ -1679,7 +1679,7 @@
 		$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
 		while ($cur_item = $forum_db->fetch_assoc($result))
 		{
-			echo 'Converting post '.$cur_item['id'].' …<br />'."\n";
+			echo 'Converting post '.$cur_item['id'].'…<br />'."\n";
 			if (convert_to_utf8($cur_item['poster'], $old_charset) | convert_to_utf8($cur_item['message'], $old_charset) | convert_to_utf8($cur_item['edited_by'], $old_charset))
 			{
 				$cur_item['edited_by'] = $cur_item['edited_by'] != '' ? '\''.$forum_db->escape($cur_item['edited_by']).'\'' : 'NULL';
@@ -1716,43 +1716,43 @@
 		// Do the cumbersome charset conversion of MySQL tables/columns
 		if ($db_type == 'mysql' || $db_type == 'mysqli')
 		{
-			echo 'Converting table '.$forum_db->prefix.'bans …<br />'."\n"; flush();
+			echo 'Converting table '.$forum_db->prefix.'bans…<br />'."\n"; flush();
 			convert_table_utf8($forum_db->prefix.'bans');
-			echo 'Converting table '.$forum_db->prefix.'categories …<br />'."\n"; flush();
+			echo 'Converting table '.$forum_db->prefix.'categories…<br />'."\n"; flush();
 			convert_table_utf8($forum_db->prefix.'categories');
-			echo 'Converting table '.$forum_db->prefix.'censoring …<br />'."\n"; flush();
+			echo 'Converting table '.$forum_db->prefix.'censoring…<br />'."\n"; flush();
 			convert_table_utf8($forum_db->prefix.'censoring');
-			echo 'Converting table '.$forum_db->prefix.'config …<br />'."\n"; flush();
+			echo 'Converting table '.$forum_db->prefix.'config…<br />'."\n"; flush();
 			convert_table_utf8($forum_db->prefix.'config');
-			echo 'Converting table '.$forum_db->prefix.'extension_hooks …<br />'."\n"; flush();
+			echo 'Converting table '.$forum_db->prefix.'extension_hooks…<br />'."\n"; flush();
 			convert_table_utf8($forum_db->prefix.'extension_hooks');
-			echo 'Converting table '.$forum_db->prefix.'extensions …<br />'."\n"; flush();
+			echo 'Converting table '.$forum_db->prefix.'extensions…<br />'."\n"; flush();
 			convert_table_utf8($forum_db->prefix.'extensions');
-			echo 'Converting table '.$forum_db->prefix.'forum_perms …<br />'."\n"; flush();
+			echo 'Converting table '.$forum_db->prefix.'forum_perms…<br />'."\n"; flush();
 			convert_table_utf8($forum_db->prefix.'forum_perms');
-			echo 'Converting table '.$forum_db->prefix.'forums …<br />'."\n"; flush();
+			echo 'Converting table '.$forum_db->prefix.'forums…<br />'."\n"; flush();
 			convert_table_utf8($forum_db->prefix.'forums');
-			echo 'Converting table '.$forum_db->prefix.'groups …<br />'."\n"; flush();
+			echo 'Converting table '.$forum_db->prefix.'groups…<br />'."\n"; flush();
 			convert_table_utf8($forum_db->prefix.'groups');
-			echo 'Converting table '.$forum_db->prefix.'online …<br />'."\n"; flush();
+			echo 'Converting table '.$forum_db->prefix.'online…<br />'."\n"; flush();
 			convert_table_utf8($forum_db->prefix.'online');
-			echo 'Converting table '.$forum_db->prefix.'posts …<br />'."\n"; flush();
+			echo 'Converting table '.$forum_db->prefix.'posts…<br />'."\n"; flush();
 			convert_table_utf8($forum_db->prefix.'posts');
-			echo 'Converting table '.$forum_db->prefix.'ranks …<br />'."\n"; flush();
+			echo 'Converting table '.$forum_db->prefix.'ranks…<br />'."\n"; flush();
 			convert_table_utf8($forum_db->prefix.'ranks');
-			echo 'Converting table '.$forum_db->prefix.'reports …<br />'."\n"; flush();
+			echo 'Converting table '.$forum_db->prefix.'reports…<br />'."\n"; flush();
 			convert_table_utf8($forum_db->prefix.'reports');
-			echo 'Converting table '.$forum_db->prefix.'search_cache …<br />'."\n"; flush();
+			echo 'Converting table '.$forum_db->prefix.'search_cache…<br />'."\n"; flush();
 			convert_table_utf8($forum_db->prefix.'search_cache');
-			echo 'Converting table '.$forum_db->prefix.'search_matches …<br />'."\n"; flush();
+			echo 'Converting table '.$forum_db->prefix.'search_matches…<br />'."\n"; flush();
 			convert_table_utf8($forum_db->prefix.'search_matches');
-			echo 'Converting table '.$forum_db->prefix.'search_words …<br />'."\n"; flush();
+			echo 'Converting table '.$forum_db->prefix.'search_words…<br />'."\n"; flush();
 			convert_table_utf8($forum_db->prefix.'search_words');
-			echo 'Converting table '.$forum_db->prefix.'subscriptions …<br />'."\n"; flush();
+			echo 'Converting table '.$forum_db->prefix.'subscriptions…<br />'."\n"; flush();
 			convert_table_utf8($forum_db->prefix.'subscriptions');
-			echo 'Converting table '.$forum_db->prefix.'topics …<br />'."\n"; flush();
+			echo 'Converting table '.$forum_db->prefix.'topics…<br />'."\n"; flush();
 			convert_table_utf8($forum_db->prefix.'topics');
-			echo 'Converting table '.$forum_db->prefix.'users …<br />'."\n"; flush();
+			echo 'Converting table '.$forum_db->prefix.'users…<br />'."\n"; flush();
 			convert_table_utf8($forum_db->prefix.'users');
 		}
 
@@ -1794,7 +1794,7 @@
 		$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
 		while ($cur_item = $forum_db->fetch_assoc($result))
 		{
-			echo 'Preparsing post '.$cur_item['id'].' …<br />'."\n";
+			echo 'Preparsing post '.$cur_item['id'].'…<br />'."\n";
 			$preparse_errors = array();
 
 			$query = array(
@@ -1847,7 +1847,7 @@
 		$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
 		while ($cur_item = $forum_db->fetch_assoc($result))
 		{
-			echo 'Preparsing signature '.$cur_item['id'].' …<br />'."\n";
+			echo 'Preparsing signature '.$cur_item['id'].'…<br />'."\n";
 			$preparse_errors = array();
 
 			$query = array(
diff -urN punbb-1.3/admin/extensions.php punbb-1.3.1/admin/extensions.php
--- punbb-1.3/admin/extensions.php	2008-11-10 13:52:46.000000000 +0000
+++ punbb-1.3.1/admin/extensions.php	2008-11-10 13:52:46.000000000 +0000
@@ -983,7 +983,7 @@
 		);
 
 		if ($forum_config['o_check_for_versions'] == 1 && isset($forum_ext_last_versions[$id]) && version_compare($ext['version'], $forum_ext_last_versions[$id]['version'], '<'))
-			$forum_page['ext_actions']['latest_ver'] = '<a href="'.$forum_ext_last_versions[$id]['repo_url'].'/'.$id.'/'.$id.'.zip">'.$lang_admin_ext['Download latest version'].'</a>';
+			$forum_page['ext_actions']['latest_ver'] = '<span><a href="'.$forum_ext_last_versions[$id]['repo_url'].'/'.$id.'/'.$id.'.zip">'.$lang_admin_ext['Download latest version'].'</a></span>';
 
 		($hook = get_hook('aex_section_manage_pre_ext_actions')) ? eval($hook) : null;
 
diff -urN punbb-1.3/admin/forums.php punbb-1.3.1/admin/forums.php
--- punbb-1.3/admin/forums.php	2008-11-07 20:44:35.000000000 +0000
+++ punbb-1.3.1/admin/forums.php	2008-11-26 15:10:28.000000000 +0000
@@ -780,7 +780,7 @@
 					<div class="mf-box">
 <?php ($hook = get_hook('afo_pre_edit_cur_forum_name')) ? eval($hook) : null; ?>
 						<div class="mf-field mf-field1 forum-field">
-							<span class="aslabel">Forum name:</span>
+							<span class="aslabel"><?php echo $lang_admin_forums['Forum name'] ?></span>
 							<span class="fld-input"><?php echo forum_htmlencode($cur_forum['forum_name']) ?></span>
 						</div>
 <?php ($hook = get_hook('afo_pre_edit_cur_forum_position')) ? eval($hook) : null; ?>
diff -urN punbb-1.3/admin/index.php punbb-1.3.1/admin/index.php
--- punbb-1.3/admin/index.php	2008-11-07 20:34:47.000000000 +0000
+++ punbb-1.3.1/admin/index.php	2008-11-26 12:38:16.000000000 +0000
@@ -147,10 +147,11 @@
 // Setup breadcrumbs
 $forum_page['crumbs'] = array(
 	array($forum_config['o_board_title'], forum_link($forum_url['index'])),
-	array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index'])),
-	array($lang_admin_common['Start'], forum_link($forum_url['admin_index'])),
-	array($lang_admin_common['Information'], forum_link($forum_url['admin_index']))
+	array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index']))
 );
+if ($forum_user['g_id'] == FORUM_ADMIN)
+	$forum_page['crumbs'][] = array($lang_admin_common['Start'], forum_link($forum_url['admin_index']));
+$forum_page['crumbs'][] = array($lang_admin_common['Information'], forum_link($forum_url['admin_index']));
 
 ($hook = get_hook('ain_pre_header_load')) ? eval($hook) : null;
 
diff -urN punbb-1.3/admin/install.php punbb-1.3.1/admin/install.php
--- punbb-1.3/admin/install.php	2008-11-09 17:22:14.000000000 +0000
+++ punbb-1.3.1/admin/install.php	2008-11-26 14:40:11.000000000 +0000
@@ -10,7 +10,7 @@
  */
 
 
-define('FORUM_VERSION', '1.3');
+define('FORUM_VERSION', '1.3.1');
 define('FORUM_DB_REVISION', 3);
 define('MIN_PHP_VERSION', '4.3.0');
 define('MIN_MYSQL_VERSION', '4.1.2');
@@ -147,8 +147,7 @@
 	if (count($languages) > 1)
 	{
 
-?>
-	<form class="frm-form" method="get" accept-charset="utf-8" action="install.php">
+?>	<form class="frm-form" method="get" accept-charset="utf-8" action="install.php">
 	<div class="main-subhead">
 		<h2 class="hn"><span><?php echo $lang_install['Choose language'] ?></span></h2>
 	</div>
@@ -164,8 +163,7 @@
 		foreach ($languages as $lang)
 			echo "\t\t\t\t\t".'<option value="'.$lang.'"'.($language == $lang ? ' selected="selected"' : '').'>'.$lang.'</option>'."\n";
 
-?>
-					</select></span>
+?>					</select></span>
 				</div>
 			</div>
 		</fieldset>
@@ -178,8 +176,7 @@
 
 	}
 
-?>
-	<form class="frm-form" method="post" accept-charset="utf-8" action="install.php">
+?>	<form class="frm-form" method="post" accept-charset="utf-8" action="install.php">
 	<div class="hidden">
 		<input type="hidden" name="form_sent" value="1" />
 	</div>
@@ -211,8 +208,7 @@
 	foreach ($db_extensions as $db_type)
 		echo "\t\t\t\t\t".'<option value="'.$db_type[0].'">'.$db_type[1].'</option>'."\n";
 
-?>
-					</select></span>
+?>					</select></span>
 				</div>
 			</div>
 			<div class="sf-set set1">
@@ -318,8 +314,8 @@
 
 	if (count($languages) > 1)
 	{
-?>
-			<div class="sf-set set4">
+
+?>			<div class="sf-set set4">
 				<div class="sf-box text">
 					<label for="fld14"><span><?php echo $lang_install['Default language'] ?></span> <small><?php echo $lang_install['Default language help'] ?></small></label><br />
 					<span class="fld-input"><select id="fld14" name="req_language">
@@ -328,28 +324,35 @@
 		foreach ($languages as $lang)
 			echo "\t\t\t\t\t".'<option value="'.$lang.'"'.($language == $lang ? ' selected="selected"' : '').'>'.$lang.'</option>'."\n";
 
-?>
-					</select></span>
+?>					</select></span>
 				</div>
 			</div>
 <?php
+
 	}
 	else
 	{
-?>
-			<div class="hidden">
+
+?>			<div class="hidden">
 				<input type="hidden" name="req_language" value="<?php echo $languages[0]; ?>" />
 			</div>
 <?php
 	}
 
-?>
-			<div class="sf-set set5">
+	if (file_exists(FORUM_ROOT.'extensions/pun_repository/manifest.xml'))
+	{
+
+?>			<div class="sf-set set5">
 				<div class="sf-box checkbox">
 					<span class="fld-input"><input id="fld15" type="checkbox" name="install_pun_repository" value="1" checked="checked" /></span>
 					<label for="fld15"><span><?php echo $lang_install['Pun repository'] ?></span> <?php echo $lang_install['Pun repository help'] ?></label><br />
 				</div>
 			</div>
+<?php
+
+	}
+
+?>
 		</fieldset>
 		<div class="frm-buttons">
 			<span class="submit"><input type="submit" name="start" value="<?php echo $lang_install['Start install'] ?>" /></span>
@@ -1819,9 +1822,9 @@
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
 <title>PunBB Installation</title>
 <link rel="stylesheet" type="text/css" href="<?php echo FORUM_ROOT ?>style/Oxygen/Oxygen.css" />
-<link rel="stylesheet" type="text/css" href="<?php echo FORUM_ROOT ?>style/Oxygen/Oxygen_forms.css" />
 <link rel="stylesheet" type="text/css" href="<?php echo FORUM_ROOT ?>style/Oxygen/Oxygen_cs.css" />
-<!--[if lte IE 7]><link rel="stylesheet" type="text/css" href="<?php echo FORUM_ROOT ?>style/Oxygen/Oxygen_ie.css" /><![endif]-->
+<!--[if lte IE 6]><link rel="stylesheet" type="text/css" href="<?php echo FORUM_ROOT ?>style/Oxygen/Oxygen_ie6.css" /><![endif]-->
+<!--[if IE 7]><link rel="stylesheet" type="text/css" href="<?php echo FORUM_ROOT ?>style/Oxygen/Oxygen_ie7.css" /><![endif]-->
 </head>
 
 <body>
@@ -1854,17 +1857,19 @@
 {
 
 ?>
-		<div class="ct-box warn-box">
+		<div class="ct-box info-box">
 			<p class="warn"><?php echo $lang_install['No write info 1'] ?></p>
 			<p class="warn"><?php printf($lang_install['No write info 2'], '<a href="'.FORUM_ROOT.'index.php">'.$lang_install['Go to index'].'</a>') ?></p>
 		</div>
-<?php if (!empty($alerts)): ?>		<div class="ct-box error-box">
-			<?php echo $lang_install['Warning'] ?></p>
+<?php if (!empty($alerts)): ?>
+		<div class="ct-box error-box">
+			<p class="warn"><strong><?php echo $lang_install['Warning'] ?></strong></p>
 			<ul>
 				<?php echo implode("\n\t\t\t\t", $alerts)."\n" ?>
 			</ul>
 		</div>
-<?php endif; ?>		<form class="frm-form" method="post" accept-charset="utf-8" action="install.php">
+<?php endif; ?>
+		<form class="frm-form" method="post" accept-charset="utf-8" action="install.php">
 			<div class="hidden">
 			<input type="hidden" name="generate_config" value="1" />
 			<input type="hidden" name="db_type" value="<?php echo $db_type; ?>" />
diff -urN punbb-1.3/admin/reports.php punbb-1.3.1/admin/reports.php
--- punbb-1.3/admin/reports.php	2008-10-28 14:12:01.000000000 +0000
+++ punbb-1.3.1/admin/reports.php	2008-11-26 12:38:16.000000000 +0000
@@ -54,10 +54,11 @@
 // Setup breadcrumbs
 $forum_page['crumbs'] = array(
 	array($forum_config['o_board_title'], forum_link($forum_url['index'])),
-	array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index'])),
-	array($lang_admin_common['Management'], forum_link($forum_url['admin_reports'])),
-	array($lang_admin_common['Reports'], forum_link($forum_url['admin_reports']))
+	array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index']))
 );
+if ($forum_user['g_id'] == FORUM_ADMIN)
+	$forum_page['crumbs'][] = array($lang_admin_common['Management'], forum_link($forum_url['admin_reports']));
+$forum_page['crumbs'][] = array($lang_admin_common['Reports'], forum_link($forum_url['admin_reports']));
 
 ($hook = get_hook('arp_pre_header_load')) ? eval($hook) : null;
 
diff -urN punbb-1.3/admin/settings.php punbb-1.3.1/admin/settings.php
--- punbb-1.3/admin/settings.php	2008-11-07 22:14:13.000000000 +0000
+++ punbb-1.3.1/admin/settings.php	2008-11-26 13:42:47.000000000 +0000
@@ -266,8 +266,6 @@
 		array($lang_admin_common['Setup'], forum_link($forum_url['admin_settings_setup']))
 	);
 
-	$forum_page['main_head'] = $lang_admin_common['Settings'];
-
 	($hook = get_hook('aop_setup_pre_header_load')) ? eval($hook) : null;
 
 	define('FORUM_PAGE_SECTION', 'settings');
@@ -980,10 +978,6 @@
 						<label for="fld<?php echo $forum_page['fld_count'] ?>"><span><?php echo $lang_admin_settings['Update check'] ?></span> <?php echo $lang_admin_settings['Update check label'] ?></label>
 					</div>
 				</div>
-<?php ($hook = get_hook('aop_features_pre_updates_fieldset_end')) ? eval($hook) : null; ?>
-			</fieldset>
-			<fieldset class="frm-group group<?php echo ++$forum_page['group_count'] ?>">
-				<legend class="group-legend"><strong><?php echo $lang_admin_settings['Check for versions'] ?></strong></legend>
 <?php ($hook = get_hook('aop_features_pre_version_updates_checkbox')) ? eval($hook) : null; ?>
 				<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>">
 					<div class="sf-box checkbox">
@@ -991,7 +985,7 @@
 						<label for="fld<?php echo $forum_page['fld_count'] ?>"><span><?php echo $lang_admin_settings['Check for versions'] ?></span> <?php echo $lang_admin_settings['Auto check for versions'] ?></label>
 					</div>
 				</div>
-<?php ($hook = get_hook('aop_features_pre_version_updates_fieldset_end')) ? eval($hook) : null; ?>
+<?php ($hook = get_hook('aop_features_pre_updates_fieldset_end')) ? eval($hook) : null; ?>
 			</fieldset>
 <?php ($hook = get_hook('aop_features_updates_fieldset_end')) ? eval($hook) : null; ?>
 <?php else: ?>
diff -urN punbb-1.3/admin/users.php punbb-1.3.1/admin/users.php
--- punbb-1.3/admin/users.php	2008-11-08 17:17:40.000000000 +0000
+++ punbb-1.3.1/admin/users.php	2008-11-26 12:38:16.000000000 +0000
@@ -50,11 +50,12 @@
 	// Setup breadcrumbs
 	$forum_page['crumbs'] = array(
 		array($forum_config['o_board_title'], forum_link($forum_url['index'])),
-		array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index'])),
-		array($lang_admin_common['Users'], forum_link($forum_url['admin_users'])),
-		array($lang_admin_common['Searches'], forum_link($forum_url['admin_users'])),
-		$lang_admin_users['User search results']
+		array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index']))
 	);
+	if ($forum_user['g_id'] == FORUM_ADMIN)
+		$forum_page['crumbs'][] = array($lang_admin_common['Users'], forum_link($forum_url['admin_users']));
+	$forum_page['crumbs'][] = array($lang_admin_common['Searches'], forum_link($forum_url['admin_users']));
+	$forum_page['crumbs'][] = $lang_admin_users['User search results'];
 
 	($hook = get_hook('aus_ip_stats_pre_header_load')) ? eval($hook) : null;
 
@@ -198,11 +199,12 @@
 	// Setup breadcrumbs
 	$forum_page['crumbs'] = array(
 		array($forum_config['o_board_title'], forum_link($forum_url['index'])),
-		array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index'])),
-		array($lang_admin_common['Users'], forum_link($forum_url['admin_users'])),
-		array($lang_admin_common['Searches'], forum_link($forum_url['admin_users'])),
-		$lang_admin_users['User search results']
+		array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index']))
 	);
+	if ($forum_user['g_id'] == FORUM_ADMIN)
+		$forum_page['crumbs'][] = array($lang_admin_common['Users'], forum_link($forum_url['admin_users']));
+	$forum_page['crumbs'][] = array($lang_admin_common['Searches'], forum_link($forum_url['admin_users']));
+	$forum_page['crumbs'][] = $lang_admin_users['User search results'];
 
 	($hook = get_hook('aus_show_users_pre_header_load')) ? eval($hook) : null;
 
@@ -605,11 +607,12 @@
 	// Setup breadcrumbs
 	$forum_page['crumbs'] = array(
 		array($forum_config['o_board_title'], forum_link($forum_url['index'])),
-		array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index'])),
-		array($lang_admin_common['Users'], forum_link($forum_url['admin_users'])),
-		array($lang_admin_common['Searches'], forum_link($forum_url['admin_users'])),
-		$lang_admin_users['Ban users']
+		array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index']))
 	);
+	if ($forum_user['g_id'] == FORUM_ADMIN)
+		$forum_page['crumbs'][] = array($lang_admin_common['Users'], forum_link($forum_url['admin_users']));
+	$forum_page['crumbs'][] = array($lang_admin_common['Searches'], forum_link($forum_url['admin_users']));
+	$forum_page['crumbs'][] = $lang_admin_users['Ban users'];
 
 	($hook = get_hook('aus_ban_users_pre_header_load')) ? eval($hook) : null;
 
@@ -899,11 +902,12 @@
 	// Setup breadcrumbs
 	$forum_page['crumbs'] = array(
 		array($forum_config['o_board_title'], forum_link($forum_url['index'])),
-		array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index'])),
-		array($lang_admin_common['Users'], forum_link($forum_url['admin_users'])),
-		array($lang_admin_common['Searches'], forum_link($forum_url['admin_users'])),
-		$lang_admin_users['User search results']
+		array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index']))
 	);
+	if ($forum_user['g_id'] == FORUM_ADMIN)
+		$forum_page['crumbs'][] = array($lang_admin_common['Users'], forum_link($forum_url['admin_users']));
+	$forum_page['crumbs'][] = array($lang_admin_common['Searches'], forum_link($forum_url['admin_users']));
+	$forum_page['crumbs'][] = $lang_admin_users['User search results'];
 
 	($hook = get_hook('aus_find_user_pre_header_load')) ? eval($hook) : null;
 
@@ -1076,10 +1080,11 @@
 // Setup breadcrumbs
 $forum_page['crumbs'] = array(
 	array($forum_config['o_board_title'], forum_link($forum_url['index'])),
-	array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index'])),
-	array($lang_admin_common['Users'], forum_link($forum_url['admin_users'])),
-	array($lang_admin_common['Searches'], forum_link($forum_url['admin_users'])),
+	array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index']))
 );
+if ($forum_user['g_id'] == FORUM_ADMIN)
+	$forum_page['crumbs'][] = array($lang_admin_common['Users'], forum_link($forum_url['admin_users']));
+$forum_page['crumbs'][] = array($lang_admin_common['Searches'], forum_link($forum_url['admin_users']));
 
 ($hook = get_hook('aus_search_form_pre_header_load')) ? eval($hook) : null;
 
diff -urN punbb-1.3/extern.php punbb-1.3.1/extern.php
--- punbb-1.3/extern.php	2008-10-31 09:04:18.000000000 +0000
+++ punbb-1.3.1/extern.php	2008-11-26 12:46:21.000000000 +0000
@@ -251,7 +251,7 @@
 	foreach ($feed['items'] as $item)
 	{
 		if (utf8_strlen($item['title']) > FORUM_EXTERN_MAX_SUBJECT_LENGTH)
-			$subject_truncated = forum_htmlencode(forum_trim(utf8_substr($item['title'], 0, (FORUM_EXTERN_MAX_SUBJECT_LENGTH - 5)))).' …';
+			$subject_truncated = forum_htmlencode(forum_trim(utf8_substr($item['title'], 0, (FORUM_EXTERN_MAX_SUBJECT_LENGTH - 5)))).'…';
 		else
 			$subject_truncated = forum_htmlencode($item['title']);
 
diff -urN punbb-1.3/header.php punbb-1.3.1/header.php
--- punbb-1.3/header.php	2008-11-07 15:27:12.000000000 +0000
+++ punbb-1.3.1/header.php	2008-11-26 13:31:37.000000000 +0000
@@ -251,7 +251,7 @@
 		else if (isset($forum_updates['version']))
 			$alert_items['update_version'] = '<p><strong>'.$lang_common['Updates'].'</strong> '.sprintf($lang_common['Updates version'], $forum_updates['version']).'</p>';
 		else if (isset($forum_updates['hotfix']))
-			$alert_items['update_hotfix'] = '<p><strong>'.$lang_common['Updates'].'</strong> '.$lang_common['Updates hf'].'</p>';
+			$alert_items['update_hotfix'] = '<p><strong>'.$lang_common['Updates'].'</strong> '.sprintf($lang_common['Updates hf'], forum_link($forum_url['admin_extensions_hotfixes'])).'</p>';
 	}
 
 	// Warn the admin that their version of the database is newer than the version supported by the code
diff -urN punbb-1.3/include/common_admin.php punbb-1.3.1/include/common_admin.php
--- punbb-1.3/include/common_admin.php	2008-10-30 11:34:55.000000000 +0000
+++ punbb-1.3.1/include/common_admin.php	2008-11-26 11:59:03.000000000 +0000
@@ -35,7 +35,7 @@
 			if ($forum_config['o_censoring'] == '1')
 				$forum_page['admin_submenu']['censoring'] = '<li class="'.((FORUM_PAGE == 'admin-censoring') ? 'active' : 'normal').((empty($forum_page['admin_submenu'])) ? ' first-item' : '').'"><a href="'.forum_link($forum_url['admin_censoring']).'">'.$lang_admin_common['Censoring'].'</a></li>';
 
-			$form_page['admin_submenu']['reports'] = '<li class="'.((FORUM_PAGE == 'admin-reports') ? 'active' : 'normal').((empty($forum_page['admin_submenu'])) ? ' first-item' : '').'"><a href="'.forum_link($forum_url['admin_reports']).'">'.$lang_admin_common['Reports'].'</a></li>';
+			$forum_page['admin_submenu']['reports'] = '<li class="'.((FORUM_PAGE == 'admin-reports') ? 'active' : 'normal').((empty($forum_page['admin_submenu'])) ? ' first-item' : '').'"><a href="'.forum_link($forum_url['admin_reports']).'">'.$lang_admin_common['Reports'].'</a></li>';
 
 			if ($forum_user['g_mod_ban_users'] == '1')
 				$forum_page['admin_submenu']['bans'] = '<li class="'.((FORUM_PAGE == 'admin-bans') ? 'active' : 'normal').((empty($forum_page['admin_submenu'])) ? ' first-item' : '').'"><a href="'.forum_link($forum_url['admin_bans']).'">'.$lang_admin_common['Bans'].'</a></li>';
diff -urN punbb-1.3/include/essentials.php punbb-1.3.1/include/essentials.php
--- punbb-1.3/include/essentials.php	2008-11-09 13:35:41.000000000 +0000
+++ punbb-1.3.1/include/essentials.php	2008-11-26 14:40:11.000000000 +0000
@@ -15,7 +15,7 @@
 	exit('The constant FORUM_ROOT must be defined and point to a valid PunBB installation root directory.');
 
 // Define the version and database revision that this code was written for
-define('FORUM_VERSION', '1.3');
+define('FORUM_VERSION', '1.3.1');
 define('FORUM_DB_REVISION', 3);
 
 // Load the functions script
diff -urN punbb-1.3/include/functions.php punbb-1.3.1/include/functions.php
--- punbb-1.3/include/functions.php	2008-11-07 13:12:25.000000000 +0000
+++ punbb-1.3.1/include/functions.php	2008-11-26 13:31:37.000000000 +0000
@@ -937,10 +937,17 @@
 function get_scheme_packs()
 {
   	$schemes = array();
-
-	foreach (glob(FORUM_ROOT.'include/url/*') as $dirname)
-		if (is_dir($dirname) && file_exists($dirname.'/forum_urls.php'))
-			$schemes[] = basename($dirname);
+	
+	if($handle = opendir(FORUM_ROOT.'include/url'))
+	{
+		while (false !== ($dirname = readdir($handle)))
+		{
+			$dirname =  FORUM_ROOT.'include/url/'.$dirname;
+			if (is_dir($dirname) && file_exists($dirname.'/forum_urls.php'))
+				$schemes[] = basename($dirname);
+		}
+		closedir($handle);
+	}
 
 	($hook = get_hook('fn_get_scheme_packs_end')) ? eval($hook) : null;
 
@@ -952,12 +959,17 @@
 function get_style_packs()
 {
 	$styles = array();
-
-	foreach (glob(FORUM_ROOT.'style/*') as $dirname)
+	
+	if($handle = opendir(FORUM_ROOT.'style'))
 	{
-		$tempname = basename($dirname);
-		if (is_dir($dirname) && file_exists($dirname.'/'.$tempname.'.php'))
-			$styles[] = $tempname;
+		while (false !== ($dirname = readdir($handle)))
+		{
+			$dirname =  FORUM_ROOT.'style/'.$dirname;
+			$tempname = basename($dirname);
+			if (is_dir($dirname) && file_exists($dirname.'/'.$tempname.'.php'))
+				$styles[] = $tempname;
+		}
+		closedir($handle);
 	}
 
 	($hook = get_hook('fn_get_style_packs_end')) ? eval($hook) : null;
@@ -971,9 +983,16 @@
 {
 	$languages = array();
 
-	foreach (glob(FORUM_ROOT.'lang/*') as $dirname)
-		if (is_dir($dirname) && file_exists($dirname.'/common.php'))
-			$languages[] = basename($dirname);
+	if($handle = opendir(FORUM_ROOT.'lang'))
+	{
+		while (false !== ($dirname = readdir($handle)))
+		{
+			$dirname =  FORUM_ROOT.'lang/'.$dirname;
+			if (is_dir($dirname) && file_exists($dirname.'/common.php'))
+				$languages[] = basename($dirname);
+		}
+		closedir($handle);
+	}
 
 	($hook = get_hook('fn_get_language_packs_end')) ? eval($hook) : null;
 
@@ -2572,9 +2591,9 @@
 	if (isset($_POST['confirm_cancel']))
 		redirect(forum_htmlencode($_POST['prev_url']), $lang_common['Cancel redirect']);
 
-		// A helper function for csrf_confirm_form. It takes a multi-dimensional array and returns it as a
+	// A helper function for csrf_confirm_form. It takes a multi-dimensional array and returns it as a
 	// single-dimensional array suitable for use in hidden fields.
-		function _csrf_confirm_form($key, $values)
+	function _csrf_confirm_form($key, $values)
 	{
 		$fields = array();
 
diff -urN punbb-1.3/include/parser.php punbb-1.3.1/include/parser.php
--- punbb-1.3/include/parser.php	2008-10-23 07:49:10.000000000 +0000
+++ punbb-1.3.1/include/parser.php	2008-11-21 12:36:01.000000000 +0000
@@ -700,7 +700,7 @@
 
 	$replace[] = '<strong>$1</strong>';
 	$replace[] = '<em>$1</em>';
-	$replace[] = '<em class="bbuline">$1</em>';
+	$replace[] = '<span class="bbu">$1</span>';
 	$replace[] = '<span style="color: $1">$2</span>';
 	$replace[] = '</p><h5>$1</h5><p>';
 
diff -urN punbb-1.3/lang/English/admin_common.php punbb-1.3.1/lang/English/admin_common.php
--- punbb-1.3/lang/English/admin_common.php	2008-11-09 17:45:53.000000000 +0000
+++ punbb-1.3.1/lang/English/admin_common.php	2008-11-26 12:46:21.000000000 +0000
@@ -5,7 +5,7 @@
 
 // Common items
 'Save changes'					=>	'Save changes',
-'Redirect'						=>	'Redirecting …',
+'Redirect'						=>	'Redirecting…',
 'Add'							=>	'Add',
 'Add new'						=>	'Add new',
 'Delete'						=>	'Delete',
@@ -19,7 +19,7 @@
 'Save'							=>	'Save',
 'E-mail'						=>	'E-mail',
 'Cancel'						=>	'Cancel',
-'Cancel redirect'				=>	'Operation cancelled. Redirecting …',
+'Cancel redirect'				=>	'Operation cancelled. Redirecting…',
 'Unknown'						=>	'Unknown',
 'Delete help'					=>	'Requires confirmation via separate form.',
 'Select all'					=>	'Select all',
diff -urN punbb-1.3/lang/English/admin_ranks.php punbb-1.3.1/lang/English/admin_ranks.php
--- punbb-1.3/lang/English/admin_ranks.php	2008-11-09 17:45:53.000000000 +0000
+++ punbb-1.3.1/lang/English/admin_ranks.php	2008-11-16 14:32:43.000000000 +0000
@@ -13,11 +13,9 @@
 'Rank removed'					=>	'Rank removed.',
 'Add rank intro'				=>	'Enter a rank and the minimum number of posts that a user has to have to acquire the rank. Different ranks cannot have the same value for minimum posts. If a title is set for a user, the title will be displayed instead of any rank. For this to have any effect "<strong>User ranks</strong>" must be enabled in %s.',
 'Add rank'						=>	'Add rank',
-'Add new rank'					=>	'Add new rank',
 'Add rank legend'				=>	'New rank details',
 'Rank title label'				=>	'Rank title',
 'Min posts label'				=>	'Minimum posts',
-'Existing ranks'				=>	'Existing ranks',
 'Existing ranks legend'			=>	'Edit or remove existing user ranks',
 'No ranks'						=>	'No ranks in list.',
 'Update'						=>	'Update',
diff -urN punbb-1.3/lang/English/admin_settings.php punbb-1.3.1/lang/English/admin_settings.php
--- punbb-1.3/lang/English/admin_settings.php	2008-11-09 17:45:53.000000000 +0000
+++ punbb-1.3.1/lang/English/admin_settings.php	2008-11-26 13:31:37.000000000 +0000
@@ -43,7 +43,7 @@
 'Report email label'			=>	'By e-mail to those on mailing list.',
 'Setup URL'						=>	'URL Scheme (<abbr title ="Search Engine Friendly">SEF</abbr> URLs) for your board\'s pages',
 'Setup URL legend'				=>	'Select a scheme',
-'URL scheme info'				=>	'<strong>WARNING!</strong> If you select any scheme other than the default scheme you must copy/upload the file .htaccess from the extras directory into the forum root directory. The server that hosts the forums must be configured with mod_rewrite support and must allow the use of .htaccess files. For servers other than Apache, please refer to your servers documentation.',
+'URL scheme info'				=>	'<strong>WARNING!</strong> If you select any scheme other than the default scheme you must copy/rename the file <em>.htaccess.dist</em> to <em>.htaccess</em> in the forum root directory. The server that hosts the forums must be configured with mod_rewrite support and must allow the use of <em>.htaccess</em> files. For servers other than Apache, please refer to your servers documentation.',
 'URL scheme label'				=>	'URL scheme',
 'URL scheme help'				=>	'Make sure you have read and understood the information above.',
 'Setup links'					=>	'Add your own links to the main navigation menu',
@@ -96,9 +96,9 @@
 'All caps message label'		=>	'Allow messages to contain only capital letters.',
 'All caps subject label'		=>	'Allow subjects to contain only capital letters.',
 'Indent size label'				=>	'[code] tag indent size',
-'Indent size help'				=>	'Indent text by this many spaces. If set to 8, a regular tab will be used',
+'Indent size help'				=>	'Indent text by this many spaces. If set to 8, a regular tab will be used.',
 'Quote depth label'				=>	'Maximum [quote] depth',
-'Quote depth help'				=>	'The maximum times a [quote] tag can go inside other [quote] tags, any tags deeper than this will be discarded',
+'Quote depth help'				=>	'The maximum times a [quote] tag can go inside other [quote] tags, any tags deeper than this will be discarded.',
 'Features sigs'					=>	'User signatures and signature content',
 'Features sigs legend'			=>	'Signature options',
 'Allow signatures'				=>	'Allow signatures',
diff -urN punbb-1.3/lang/English/common.php punbb-1.3.1/lang/English/common.php
--- punbb-1.3/lang/English/common.php	2008-10-30 17:12:12.000000000 +0000
+++ punbb-1.3.1/lang/English/common.php	2008-11-26 13:31:37.000000000 +0000
@@ -76,8 +76,8 @@
 'Paging separator'			=>	' ', //The character or text that separates page numbers for page navigation generally
 'Previous'					=>	'Previous',
 'Next'						=>	'Next',
-'Cancel redirect'			=>	'Operation cancelled. Redirecting …',
-'No confirm redirect'		=>	'No confirmation provided. Operation cancelled. Redirecting …',
+'Cancel redirect'			=>	'Operation cancelled. Redirecting…',
+'No confirm redirect'		=>	'No confirmation provided. Operation cancelled. Redirecting…',
 'Please confirm'			=>	'Please confirm:',
 'Help page'					=>	'Help with: %s',
 'Re'						=>	'Re:',
@@ -133,11 +133,11 @@
 // Alerts
 'New alerts'				=>	'New Alerts',
 'Maintenance alert'			=>	'<strong>WARNING! Maintenance mode enabled.</strong> This board is currently in maintenance mode. <em>DO NOT</em> logout, if you do you will not be able to login again.',
-'Updates'					=>	'PunBB updates',
+'Updates'					=>	'PunBB updates:',
 'Updates failed'			=>	'The latest attempt at checking for updates against the punbb.informer.com updates service failed. This probably just means that the service is temporarily overloaded or out of order. However, if this alert does not disappear within a day or two, you should disable the automatic check for updates and check for updates manually in the future.',
-'Updates version n hf'		=>	'A newer version of PunBB, version %s, is available for download at <a href="http://punbb.informer.com/">punbb.informer.com</a>. Furthermore, one or more hotfix extensions are available for install on the Extensions tab of the admin interface.',
+'Updates version n hf'		=>	'A newer version of PunBB, version %s, is available for download at <a href="http://punbb.informer.com/">punbb.informer.com</a>. Furthermore, one or more hotfixes are available for install on the strong>Extensions</strong> » <strong>Manage hotfixes</strong> tab of the admin interface.',
 'Updates version'			=>	'A newer version of PunBB, version %s, is available for download at <a href="http://punbb.informer.com/">punbb.informer.com</a>.',
-'Updates hf'				=>	'One or more hotfix extensions are available for install on the Extensions tab of the admin interface.',
+'Updates hf'				=>	'One or more hotfixes are available for install on the <a href="%s">Manage hotfixes</a> tab of the admin interface.',
 'Database mismatch'			=>	'Database version mismatch',
 'Database mismatch alert'	=>	'Your PunBB database is meant to be used in conjunction with a newer version of the PunBB code. This mismatch can lead to your forum not working properly. It is suggested that you upgrade your forum to the newest version of PunBB.',
 
diff -urN punbb-1.3/lang/English/delete.php punbb-1.3.1/lang/English/delete.php
--- punbb-1.3/lang/English/delete.php	2008-10-25 15:27:40.000000000 +0000
+++ punbb-1.3.1/lang/English/delete.php	2008-11-26 12:46:21.000000000 +0000
@@ -16,7 +16,7 @@
 'Topic title'			=>	'Topic: %s',
 'Reply title'			=>	'Reply to: %s',
 'Please confirm'		=>	'Please confirm:',
-'Post del redirect'		=>	'Post deleted. Redirecting …',
-'Topic del redirect'	=>	'Topic deleted. Redirecting …',
+'Post del redirect'		=>	'Post deleted. Redirecting…',
+'Topic del redirect'	=>	'Topic deleted. Redirecting…',
 
 );
diff -urN punbb-1.3/lang/English/forum.php punbb-1.3.1/lang/English/forum.php
--- punbb-1.3/lang/English/forum.php	2008-10-25 15:27:40.000000000 +0000
+++ punbb-1.3.1/lang/English/forum.php	2008-11-21 15:42:22.000000000 +0000
@@ -23,16 +23,16 @@
 'No views info'				=>	'No viewing information',
 'No lastpost info'			=>	'No last post information',
 'by poster'					=>	'by %s',
-'Item status'				=>	'%s :',
+'Item status'				=>	'%s:',
 'Topic starter'				=>	'by %s',
 'New posts'					=>	'New posts',
 'Topic navigation'			=>	'( %s )',
-'Location'					=>	'Found in forum : %s',
+'Location'					=>	'Found in forum: %s',
 'Pages'						=>	'Pages',
 'Post topic'				=>	'Post new topic',
 'Login to post'				=>	'You must %1$s or %2$s to post a new topic',
 'No permission'				=>	'Sorry! no permission to post new topics',
-'Moved'						=>	'Moved:',
+'Moved'						=>	'Moved',
 'Sticky'					=>	'Sticky',
 'Closed'					=>	'Closed',
 'Empty forum'				=>	'Empty forum',
diff -urN punbb-1.3/lang/English/install.php punbb-1.3.1/lang/English/install.php
--- punbb-1.3/lang/English/install.php	2008-11-09 17:18:44.000000000 +0000
+++ punbb-1.3.1/lang/English/install.php	2008-11-10 18:29:12.000000000 +0000
@@ -4,7 +4,11 @@
 $lang_install = array(
 
 // Install Form
-'Install PunBB'			=>	'Install PunBB %s',
+'Install PunBB'				=>	'Install PunBB %s',
+'Choose language'			=>	'Change installer language',
+'Choose language help'		=>	'You can change the language of this install script if you find it easier to follow the instructions in your own language. Just choose your language from the list of installed ones below.',
+'Installer language'		=>	'Installer language:',
+'Choose language legend'	=>	'Installer language',
 'Install intro'				=>	'In order to install PunBB you must complete the form set out below. Please read the instructions provided before completing the form. If you encounter any difficulties with the installation, please refer to the documentation supplied as part of PunBB\'s download package.',
 'Part1'						=>	'Part 1 - Database setup',
 'Part1 intro'				=>	'Please enter the requested information in order to setup your database for PunBB. You must know all the information asked for before proceeding with the installation. Help with completing this part of the form is set out below.',
diff -urN punbb-1.3/lang/English/login.php punbb-1.3.1/lang/English/login.php
--- punbb-1.3/lang/English/login.php	2008-10-27 14:45:19.000000000 +0000
+++ punbb-1.3.1/lang/English/login.php	2008-11-26 12:46:21.000000000 +0000
@@ -13,8 +13,8 @@
 'E-mail address help'				=>	'Enter the e-mail address set in your profile.',
 'Login errors'						=>	'<strong>Warning!</strong> The following errors must be corrected before you can login:',
 'Wrong user/pass'					=>	'Incorrect username and/or password.',
-'Login redirect'					=>	'Logged in successfully. Redirecting …',
-'Logout redirect'					=>	'Logged out. Redirecting …',
+'Login redirect'					=>	'Logged in successfully. Redirecting…',
+'Logout redirect'					=>	'Logged out. Redirecting…',
 'No e-mail match'					=>	'There is no user registered with the e-mail address %s.',
 'Invalid e-mail'					=>	'The e-mail address you entered is invalid.',
 'Login options'						=>	'Do you need to %1$s or obtain a %2$s before you login?',
@@ -25,7 +25,7 @@
 'New password request'				=>	'New password request',
 'New password errors'				=>	'<strong>Warning!</strong> The following errors must be corrected before a new password can be sent:',
 'New password info'					=>	'<strong>Important!</strong> An e-mail will be sent to the specified address with instructions on how to change your password.',
-'New password cancel redirect'		=>	'New password request cancelled. Redirecting …',
+'New password cancel redirect'		=>	'New password request cancelled. Redirecting…',
 'Forget mail'						=>	'An e-mail has been sent to the specified address with instructions on how to change your password. If it does not arrive you can contact the forum administrator at %s.',
 'Persistent login'					=>	'Log me in automatically each time I visit.'
 
diff -urN punbb-1.3/lang/English/misc.php punbb-1.3.1/lang/English/misc.php
--- punbb-1.3/lang/English/misc.php	2008-10-30 14:36:39.000000000 +0000
+++ punbb-1.3.1/lang/English/misc.php	2008-11-26 12:46:21.000000000 +0000
@@ -3,8 +3,8 @@
 // Language definitions used in various scripts
 $lang_misc = array(
 
-'Mark read redirect'		=>	'All topics and forums have been marked as read. Redirecting …',
-'Mark forum read redirect'	=>	'All topics in the specified forum have been marked as read. Redirecting …',
+'Mark read redirect'		=>	'All topics and forums have been marked as read. Redirecting…',
+'Mark forum read redirect'	=>	'All topics in the specified forum have been marked as read. Redirecting…',
 
 // Send e-mail
 'Form e-mail disabled'		=>	'The user you are trying to send an e-mail to has disabled form e-mail.',
@@ -13,7 +13,7 @@
 'No e-mail message'			=>	'You must enter a message.',
 'Too long e-mail message'	=>	'Your message length is %s bytes. This exceeds the %s bytes limit.',
 'Email flood'				=>	'At least %s seconds have to pass between sent emails. Please wait a while and try sending again.',
-'E-mail sent redirect'		=>	'E-mail sent. Redirecting …',
+'E-mail sent redirect'		=>	'E-mail sent. Redirecting…',
 'E-mail subject'			=>	'Subject',
 'E-mail message'			=>	'Message',
 'E-mail disclosure note'	=>	'<strong>Important!</strong> When you send an e-mail using this form your e-mail address will be disclosed to the recipient.',
@@ -23,16 +23,16 @@
 // Report
 'No reason'					=>	'You must enter a reason.',
 'Report flood'				=>	'At least %s seconds have to pass between reports. Please wait a while and try sending again.',
-'Report redirect'			=>	'Post reported. Redirecting …',
+'Report redirect'			=>	'Post reported. Redirecting…',
 'Report post'				=>	'Report post',
 'Reason'					=>	'Reason',
 'Reason help'				=>	'Enter a short reason why you are reporting this post.',
 
 // Subscriptions
 'Already subscribed'		=>	'You are already subscribed to this topic.',
-'Subscribe redirect'		=>	'Your subscription has been added. Redirecting …',
+'Subscribe redirect'		=>	'Your subscription has been added. Redirecting…',
 'Not subscribed'			=>	'You are not subscribed to this topic.',
-'Unsubscribe redirect'		=>	'Your subscription has been removed. Redirecting …',
+'Unsubscribe redirect'		=>	'Your subscription has been removed. Redirecting…',
 
 // General forum and topic moderation
 'Moderate forum'			=>	'Moderate forum',
@@ -49,7 +49,7 @@
 'Show more users'			=>	'Show more users for this IP',
 
 // Moderate forum
-'Moderate forum head'		=>	'Moderate : %s',
+'Moderate forum head'		=>	'Moderate: %s',
 'Topics'					=>	'Topics',
 'Move topic'				=>	'Move topic',
 'Move topics'				=>	'Move topics',
@@ -63,20 +63,20 @@
 'Leave redirect'			=>	'Leave a redirect topic in the forum from which the topic was moved.',
 'Leave redirects'			=>	'Leave redirect topics in the forum from which topics were moved.',
 'Leave merge redirects'		=>	'Leave redirect topics for those topics which were merged.',
-'Move topic redirect'		=>	'Topic moved. Redirecting …',
-'Move topics redirect'		=>	'Topics moved. Redirecting …',
-'Merge topics redirect'		=>	'Topics merged. Redirecting …',
+'Move topic redirect'		=>	'Topic moved. Redirecting…',
+'Move topics redirect'		=>	'Topics moved. Redirecting…',
+'Merge topics redirect'		=>	'Topics merged. Redirecting…',
 'Delete topic comply'		=>	'Are you sure you want to delete the selected topic?',
 'Delete topics comply'		=>	'Are you sure you want to delete all the selected topics?',
-'Delete topic redirect'		=>	'Topic deleted. Redirecting …',
-'Delete topics redirect'	=>	'Topics deleted. Redirecting …',
-'Open topic redirect'		=>	'Topic opened. Redirecting …',
-'Open topics redirect'		=>	'Topics opened. Redirecting …',
-'Close topic redirect'		=>	'Topic closed. Redirecting …',
-'Close topics redirect'		=>	'Topics closed. Redirecting …',
+'Delete topic redirect'		=>	'Topic deleted. Redirecting…',
+'Delete topics redirect'	=>	'Topics deleted. Redirecting…',
+'Open topic redirect'		=>	'Topic opened. Redirecting…',
+'Open topics redirect'		=>	'Topics opened. Redirecting…',
+'Close topic redirect'		=>	'Topic closed. Redirecting…',
+'Close topics redirect'		=>	'Topics closed. Redirecting…',
 'No topics selected'		=>	'You must select at least one topic.',
-'Stick topic redirect'		=>	'Topic is now sticky. Redirecting …',
-'Unstick topic redirect'	=>	'Topic no longer sticky. Redirecting …',
+'Stick topic redirect'		=>	'Topic is now sticky. Redirecting…',
+'Unstick topic redirect'	=>	'Topic no longer sticky. Redirecting…',
 'Merge error'				=>	'You should select more than 1 topic to merge.',
 
 // Moderate topic
@@ -84,7 +84,7 @@
 'Delete posts'				=>	'Delete selected posts',
 'Split posts'				=>	'Split selected posts',
 'Delete whole topic'		=>	'Delete whole topic',
-'Moderate topic head'		=>	'Moderate topic : %s',
+'Moderate topic head'		=>	'Moderate topic: %s',
 'New subject'				=>	'New topic subject:',
 'Select post'				=>	'Select post', // Label for checkbox
 'Confirm post delete'		=>	'Confirm deletion of all selected posts',
@@ -92,8 +92,8 @@
 'Confirm topic split'		=>	'Confirm splitting of all selected posts into a new topic',
 'Confirm topic merge'		=>	'Confirm merging of all selected topics into one topic',
 'Confirm post split'		=>	'Confirm splitting of all selected posts',
-'Delete posts redirect'		=>	'Posts deleted. Redirecting …',
-'Split posts redirect'		=>	'Posts split into a new topic. Redirecting …',
+'Delete posts redirect'		=>	'Posts deleted. Redirecting…',
+'Split posts redirect'		=>	'Posts split into a new topic. Redirecting…',
 'No posts selected'			=>	'You must select at least one post.'
 
 );
diff -urN punbb-1.3/lang/English/post.php punbb-1.3.1/lang/English/post.php
--- punbb-1.3/lang/English/post.php	2008-10-30 14:40:01.000000000 +0000
+++ punbb-1.3.1/lang/English/post.php	2008-11-26 12:46:21.000000000 +0000
@@ -22,7 +22,7 @@
 'Post errors'			=>	'<strong>Warning!</strong> The following errors must be corrected before your message can be posted:',
 'Guest name'			=>	'Guest name',	// For guests (instead of Username)
 'Guest e-mail'			=>	'Guest e-mail',
-'Post redirect'			=>	'Post entered. Redirecting …',
+'Post redirect'			=>	'Post entered. Redirecting…',
 'Post reply'			=>	'Post new reply',
 'Post new topic'		=>	'Post new topic',
 'Topic subject'			=>	'Topic subject',
@@ -52,9 +52,9 @@
 'Edit post legend'		=>	'Edit message',
 'Edit topic'			=>	'Edit topic',
 'Edit reply'			=>	'Edit reply',
-'Silent edit'			=>	'Silent edit (don\'t display "Last edited by …" in topic view for this edit).',
+'Silent edit'			=>	'Silent edit (don\'t display "Last edited by…" in topic view for this edit).',
 'Preview edited topic'	=>	'Preview of your edited topic',
 'Preview edited reply'	=>	'Preview of your edited reply',
-'Edit redirect'			=>	'Post updated. Redirecting …'
+'Edit redirect'			=>	'Post updated. Redirecting…'
 
 );
diff -urN punbb-1.3/lang/English/profile.php punbb-1.3.1/lang/English/profile.php
--- punbb-1.3/lang/English/profile.php	2008-10-30 21:03:47.000000000 +0000
+++ punbb-1.3.1/lang/English/profile.php	2008-11-26 12:46:21.000000000 +0000
@@ -3,22 +3,21 @@
 $lang_profile = array(
 
 // Navigation and sections
-'Profile redirect'			=>	'Profile updated. Redirecting …',
+'Profile redirect'			=>	'Profile updated. Redirecting…',
 'Instructions'				=>	'You will be redirected back to this page',
 'Update profile'			=>	'Update profile',
-'Subform heading'			=>	'%1$s : %2$s',
 
 // Administration stuff
-'User delete redirect'		=>	'User deleted. Redirecting …',
+'User delete redirect'		=>	'User deleted. Redirecting…',
 'Section admin'				=>	'Administration',
 'Delete user'				=>	'Delete user',
 'Delete warning'			=>	'<strong>Warning!</strong> Once deleted a user and/or their posts cannot be restored.',
 'Delete posts info'			=>	'<strong>Warning!</strong> If you choose not to delete this user\'s posts they can only be deleted manually at a later time.',
 'Delete posts'				=>	'Delete posts',
 'Delete posts label'		=>	'Delete any posts and topics %s has made.',
-'Group membership redirect'	=>	'Group membership updated. Redirecting …',
-'Moderate forums redirect'	=>	'Forum moderator rights updated. Redirecting …',
-'Ban redirect'				=>	'Redirecting …',
+'Group membership redirect'	=>	'Group membership updated. Redirecting…',
+'Moderate forums redirect'	=>	'Forum moderator rights updated. Redirecting…',
+'Ban redirect'				=>	'Redirecting…',
 'Ban user'					=>	'Ban user',
 'Ban user info'				=>	'Ban this user via the administration console.',
 'Delete user info'			=>	'Permanently delete this user and, optionally, all their posts.',
@@ -33,7 +32,7 @@
 // Avatar stuff
 'Avatar welcome'			=>	'Set an avatar image to enhance your forum identity',
 'Avatar welcome user'		=>	'Set an avatar image to enhance  %s\'s forum identity',
-'Avatar deleted redirect'	=>	'Avatar deleted. Redirecting …',
+'Avatar deleted redirect'	=>	'Avatar deleted. Redirecting…',
 'Avatars disabled'			=>	'The administrator has disabled avatar support.',
 'No file'					=>	'You did not select a file for upload.',
 'Too large ini'				=>	'The selected file was too large to upload. The server didn\'t allow the upload.',
@@ -170,7 +169,7 @@
 'Change pass errors'		=>	'<strong>Warning!</strong> The following errors must be corrected before your password can be updated:',
 'Pass logout'				=>	'A user is currently logged in. Please logout and try again.',
 'Pass key bad'				=>	'The specified password activation key was incorrect or has expired. Please re-request a new password. If that fails, contact the forum administrator at %s.',
-'Pass updated'				=>	'Password updated. Login with your new password. Redirecting …',
+'Pass updated'				=>	'Password updated. Login with your new password. Redirecting…',
 'Change your password'		=>	'Change your password',
 'Change user password'		=>	'Change %s\'s password',
 'Old password'				=>	'Old password',
@@ -178,7 +177,7 @@
 'New password'				=>	'New password',
 'Confirm new password'		=>	'Confirm new password',
 'Wrong old password'		=>	'The old password you entered was incorrect.',
-'Pass updated redirect'		=>	'Password updated. Redirecting …',
+'Pass updated redirect'		=>	'Password updated. Redirecting…',
 
 // Change E-mail stuff
 'Change e-mail errors'		=>	'<strong>Warning!</strong> The following errors must be corrected before your e-mail address can be updated:',
@@ -202,7 +201,7 @@
 
 // Registration stuff (some of these also used by profile)
 'No new regs'				=>	'This forum is not accepting new registrations.',
-'Reg cancel redirect'		=>	'Registration cancelled. Redirecting …',
+'Reg cancel redirect'		=>	'Registration cancelled. Redirecting…',
 'Agreement'					=>	'Agreement',
 'Agreement label'			=>	'I agree to the rules set out above and wish to register.',
 'Agree'						=>	'Agree',
@@ -213,7 +212,7 @@
 'Banned e-mail'				=>	'The e-mail address you entered is banned in this forum. Please choose another e-mail address.',
 'Dupe e-mail'				=>	'Someone else is already registered with that e-mail address. Please choose another e-mail address.',
 'Reg e-mail'				=>	'Thank you for registering. An email has been sent to the specified address with instructions on how to activate your new account. If it doesn\'t arrive you can contact the forum administrator at %s.',
-'Reg complete'				=>	'Registration complete. Logging in and redirecting …',
+'Reg complete'				=>	'Registration complete. Logging in and redirecting…',
 'Register errors'			=>	'<strong>Warning!</strong> The following errors must be corrected before you can register:',
 'E-mail info'				=>	'<strong>Important!</strong> An e-mail will be sent to your new address with an activation link. You must click the link in the e-mail you receive to activate the new address. You must therefore ensure that you enter a valid and current e-mail address.',
 'Reg e-mail info'			=>	'<strong>Important!</strong> An e-mail with an activation link will be sent to the address you provide. You must click the link in the e-mail in order to activate your new account. You must therefore ensure that you enter a valid and current e-mail address.',
diff -urN punbb-1.3/lang/English/userlist.php punbb-1.3.1/lang/English/userlist.php
--- punbb-1.3/lang/English/userlist.php	2008-10-27 14:45:19.000000000 +0000
+++ punbb-1.3.1/lang/English/userlist.php	2008-11-22 19:18:06.000000000 +0000
@@ -27,8 +27,6 @@
 'Perform new search'	=>	'Perform new user search',
 'Submit user search'	=>	'Submit user criteria',
 'Title'					=>	'Title',
-'Posts'					=>	'Posts',
-'User list options'		=>	'User list options'
-
+'Posts'					=>	'Posts'
 
 );
\ No newline at end of file
diff -urN punbb-1.3/misc.php punbb-1.3.1/misc.php
--- punbb-1.3/misc.php	2008-11-09 13:28:04.000000000 +0000
+++ punbb-1.3.1/misc.php	2008-11-26 11:57:07.000000000 +0000
@@ -33,7 +33,7 @@
 	// Setup breadcrumbs
 	$forum_page['crumbs'] = array(
 		array($forum_config['o_board_title'], forum_link($forum_url['index'])),
-		$lang_common['Rules']
+		array($lang_common['Rules'], forum_link($forum_url['rules']))
 	);
 
 	($hook = get_hook('mi_rules_pre_header_load')) ? eval($hook) : null;
diff -urN punbb-1.3/moderate.php punbb-1.3.1/moderate.php
--- punbb-1.3/moderate.php	2008-11-08 13:00:21.000000000 +0000
+++ punbb-1.3.1/moderate.php	2008-11-22 19:30:49.000000000 +0000
@@ -755,7 +755,12 @@
 			message($lang_misc['No topics selected']);
 
 		if (count($topics) == 1)
+		{
 			$topics = $topics[0];
+			$action = 'single';
+		}
+		else
+			$action = 'multiple';
 	}
 	else
 	{
@@ -764,7 +769,9 @@
 			message($lang_common['Bad request']);
 
 		$action = 'single';
-
+	}
+	if ($action == 'single')
+	{
 		// Fetch the topic subject
 		$query = array(
 			'SELECT'	=> 't.subject',
@@ -815,7 +822,7 @@
 
 	$forum_page['hidden_fields'] = array(
 		'csrf_token'	=> '<input type="hidden" name="csrf_token" value="'.generate_form_token($forum_page['form_action']).'" />',
-		'topics'		=> '<input type="hidden" name="topics" value="'.$topics.'" />'
+		'topics'		=> '<input type="hidden" name="topics" value="'.($action == 'single' ? $topics : implode(',', $topics)).'" />'
 	);
 
 	// Setup breadcrumbs
@@ -921,7 +928,7 @@
 		message($lang_misc['No topics selected']);
 
 	if (count($topics) == 1)
-			message($lang_misc['Merge error']);
+		message($lang_misc['Merge error']);
 
 	if (isset($_POST['merge_topics_comply']))
 	{
@@ -1011,9 +1018,6 @@
 		$lang_misc['Merge topics']
 	);
 
-	// Setup main heading
-	$forum_page['main_title'] = end($forum_page['crumbs']);
-
 	($hook = get_hook('mr_merge_topics_pre_header_load')) ? eval($hook) : null;
 
 	define('FORUM_PAGE', 'dialogue');
@@ -1552,7 +1556,7 @@
 
 			$forum_page['item_body']['info']['replies'] = '<li class="info-replies"><span class="label">'.$lang_forum['No replies info'].'</span></li>';
 			$forum_page['item_body']['info']['lastpost'] = '<li class="info-lastpost"><span class="label">'.$lang_forum['No lastpost info'].'</span></li>';
-			$forum_page['item_body']['info']['select'] = '<li class="info-select"><input id="fld'.++$forum_page['fld_count'].'" type="checkbox" name="topics[]" value="'.$cur_topic['id'].'" /> <label for="fld'.$forum_page['fld_count'].'">'.sprintf($lang_forum['Select topic'], $cur_topic['subject']).'</label></li>';
+			$forum_page['item_body']['info']['select'] = '<li class="info-select"><input id="fld'.++$forum_page['fld_count'].'" type="checkbox" name="topics[]" value="'.$cur_topic['id'].'" /> <label for="fld'.$forum_page['fld_count'].'">'.sprintf($lang_forum['Select topic'], forum_htmlencode($cur_topic['subject'])).'</label></li>';
 
 			($hook = get_hook('mr_topic_actions_moved_row_pre_output')) ? eval($hook) : null;
 		}
@@ -1612,12 +1616,13 @@
 			if (empty($forum_page['item_status']))
 				$forum_page['item_status']['normal'] = 'normal';
 
+			$forum_page['item_body']['info']['replies'] = '<li class="info-replies"><strong>'.forum_number_format($cur_topic['num_replies']).'</strong> <span class="label">'.(($cur_topic['num_replies'] == 1) ? $lang_forum['Reply'] : $lang_forum['Replies']).'</span></li>';
+
 			if ($forum_config['o_topic_views'] == '1')
 				$forum_page['item_body']['info']['views'] = '<li class="info-views"><strong>'.forum_number_format($cur_topic['num_views']).'</strong> <span class="label">'.(($cur_topic['num_views'] == 1) ? $lang_forum['View'] : $lang_forum['Views']).'</span></li>';
 
-			$forum_page['item_body']['info']['replies'] = '<li class="info-replies"><strong>'.forum_number_format($cur_topic['num_replies']).'</strong> <span class="label">'.(($cur_topic['num_replies'] == 1) ? $lang_forum['Reply'] : $lang_forum['Replies']).'</span></li>';
 			$forum_page['item_body']['info']['lastpost'] = '<li class="info-lastpost"><span class="label">'.$lang_forum['Last post'].'</span> <strong><a href="'.forum_link($forum_url['post'], $cur_topic['last_post_id']).'">'.format_time($cur_topic['last_post']).'</a></strong> <cite>'.sprintf($lang_forum['by poster'], forum_htmlencode($cur_topic['last_poster'])).'</cite></li>';
-			$forum_page['item_body']['info']['select'] = '<li class="info-select"><input id="fld'.++$forum_page['fld_count'].'" type="checkbox" name="topics[]" value="'.$cur_topic['id'].'" /> <label for="fld'.$forum_page['fld_count'].'">'.sprintf($lang_forum['Select topic'], $cur_topic['subject']).'</label></li>';
+			$forum_page['item_body']['info']['select'] = '<li class="info-select"><input id="fld'.++$forum_page['fld_count'].'" type="checkbox" name="topics[]" value="'.$cur_topic['id'].'" /> <label for="fld'.$forum_page['fld_count'].'">'.sprintf($lang_forum['Select topic'], forum_htmlencode($cur_topic['subject'])).'</label></li>';
 
 			($hook = get_hook('mr_topic_actions_normal_row_pre_output')) ? eval($hook) : null;
 		}
diff -urN punbb-1.3/post.php punbb-1.3.1/post.php
--- punbb-1.3/post.php	2008-11-08 18:48:14.000000000 +0000
+++ punbb-1.3.1/post.php	2008-11-16 14:41:02.000000000 +0000
@@ -426,7 +426,7 @@
 <?php ($hook = get_hook('po_pre_guest_username')) ? eval($hook) : null; ?>
 				<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>">
 					<div class="sf-box text required">
-						<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span><em><?php echo $lang_common['Required'] ?></em> <?php echo $lang_post['Guest name'] ?></span></label><br />
+						<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span><?php echo $lang_post['Guest name'] ?> <em><?php echo $lang_common['Required'] ?></em></span></label><br />
 						<span class="fld-input"><input type="text" id="fld<?php echo $forum_page['fld_count'] ?>" name="req_username" value="<?php if (isset($_POST['req_username'])) echo forum_htmlencode($username); ?>" size="35" maxlength="25" /></span>
 					</div>
 				</div>
diff -urN punbb-1.3/profile.php punbb-1.3.1/profile.php
--- punbb-1.3/profile.php	2008-11-09 13:28:04.000000000 +0000
+++ punbb-1.3.1/profile.php	2008-11-17 14:11:17.000000000 +0000
@@ -123,9 +123,6 @@
 				($forum_page['own_profile']) ? array($lang_profile['Change your password'], forum_link($forum_url['change_password'], $id)) : array(sprintf($lang_profile['Change user password'], forum_htmlencode($user['username'])),forum_link($forum_url['change_password']), $id)
 			);
 
-			// Setup headings
-			$forum_page['main_head'] = sprintf($lang_profile['Subform heading'], sprintf($lang_profile['Users profile'], forum_htmlencode($user['username'])), end($forum_page['crumbs']));
-
 			($hook = get_hook('pf_change_pass_key_pre_header_load')) ? eval($hook) : null;
 
 			define('FORUM_PAGE', 'profile-changepass');
@@ -138,7 +135,7 @@
 
 ?>
 	<div class="main-head">
-		<h2 class="hn"><span><?php printf(($forum_user['id'] == $id) ? $lang_profile['Profile welcome'] : $lang_profile['Profile welcome user'], forum_htmlencode($user['username'])) ?></span></h2>
+		<h2 class="hn"><span><?php echo $forum_page['own_profile'] ? $lang_profile['Change your password'] : sprintf($lang_profile['Change user password'], forum_htmlencode($user['username'])) ?></span></h2>
 	</div>
 	<div class="main-content main-frm">
 <?php
@@ -290,9 +287,6 @@
 		($forum_page['own_profile']) ? array($lang_profile['Change your password'], forum_link($forum_url['change_password'], $id)) : array(sprintf($lang_profile['Change user password'], forum_htmlencode($user['username'])),forum_link($forum_url['change_password'], $id))
 	);
 
-	// Setup headings
-	$forum_page['main_head'] = sprintf($lang_profile['Subform heading'], sprintf($lang_profile['Users profile'], forum_htmlencode($user['username'])), end($forum_page['crumbs']));
-
 	($hook = get_hook('pf_change_pass_normal_pre_header_load')) ? eval($hook) : null;
 
 	define('FORUM_PAGE', 'profile-changepass');
@@ -305,7 +299,7 @@
 
 ?>
 	<div class="main-head">
-		<h2 class="hn"><span><?php printf(($forum_user['id'] == $id) ? $lang_profile['Profile welcome'] : $lang_profile['Profile welcome user'], forum_htmlencode($user['username'])) ?></span></h2>
+		<h2 class="hn"><span><?php echo $forum_page['own_profile'] ? $lang_profile['Change your password'] : sprintf($lang_profile['Change user password'], forum_htmlencode($user['username'])) ?></span></h2>
 	</div>
 	<div class="main-content main-frm">
 <?php
@@ -537,9 +531,6 @@
 		($forum_page['own_profile']) ? array($lang_profile['Change your e-mail'], forum_link($forum_url['change_email'], $id)) : array(sprintf($lang_profile['Change user e-mail'], forum_htmlencode($user['username'])), forum_link($forum_url['change_email'], $id))
 	);
 
-	// Setup headings
-	$forum_page['main_head'] = sprintf($lang_profile['Subform heading'], sprintf($lang_profile['Users profile'], forum_htmlencode($user['username'])), end($forum_page['crumbs']));
-
 	($hook = get_hook('pf_change_email_normal_pre_header_load')) ? eval($hook) : null;
 
 	define('FORUM_PAGE', 'profile-changemail');
@@ -668,11 +659,6 @@
 		array($lang_profile['Delete user'], forum_link($forum_url['delete_user'], $id))
 	);
 
-	// Setup headings
-	$forum_page['main_head'] = array(
-		'head' => '<h1 class="hn"><span>'.sprintf($lang_profile['Subform heading'], sprintf($lang_profile['Users profile'], forum_htmlencode($user['username'])), end($forum_page['crumbs'])).'</span></h1>'
-	);
-
 	($hook = get_hook('pf_delete_user_pre_header_load')) ? eval($hook) : null;
 
 	define('FORUM_PAGE', 'dialogue');
@@ -1597,9 +1583,6 @@
 		if (!$forum_user['is_admmod'] && $forum_config['o_regs_verify'] == '1')
 			$forum_page['user_options']['change_email'] = '<span'.(empty($forum_page['user_options']) ? ' class="first-item"' : '').'><a href="'.forum_link($forum_url['change_email'], $id).'">'.(($forum_page['own_profile']) ? $lang_profile['Change your e-mail'] : sprintf($lang_profile['Change user e-mail'], forum_htmlencode($user['username']))).'</a></span>';
 
-		// Setup headings
-		$forum_page['main_head'] = sprintf($lang_profile['Subform heading'], forum_htmlencode(end($forum_page['crumbs'][0])), $lang_profile['Section about']);
-
 		$forum_page['group_count'] = $forum_page['item_count'] = $forum_page['fld_count'] = 0;
 
 		($hook = get_hook('pf_change_details_about_pre_header_load')) ? eval($hook) : null;
@@ -1709,9 +1692,6 @@
 		// Does the form have required fields
 		$forum_page['has_required'] = ((($forum_user['is_admmod'] && ($forum_user['g_id'] == FORUM_ADMIN || $forum_user['g_mod_rename_users'] == '1')) || ($forum_user['is_admmod'] || $forum_config['o_regs_verify'] != '1')) ? true : false);
 
-		// Setup headings
-		$forum_page['main_head'] = sprintf($lang_profile['Subform heading'], forum_htmlencode(end($forum_page['crumbs'][0])), $lang_profile['Section identity']);
-
 		($hook = get_hook('pf_change_details_identity_pre_header_load')) ? eval($hook) : null;
 
 		define('FORUM_PAGE', 'profile-identity');
@@ -1925,9 +1905,6 @@
 			'csrf_token'	=> '<input type="hidden" name="csrf_token" value="'.generate_form_token($forum_page['form_action']).'" />'
 		);
 
-		// Setup headings
-		$forum_page['main_head'] = sprintf($lang_profile['Subform heading'], forum_htmlencode(end($forum_page['crumbs'][0])), $lang_profile['Section settings']);
-
 		($hook = get_hook('pf_change_details_settings_pre_header_load')) ? eval($hook) : null;
 
 		define('FORUM_PAGE', 'profile-settings');
@@ -2283,9 +2260,6 @@
 		if ($forum_config['o_smilies_sig'] == '1')
 			$forum_page['text_options']['smilies'] = '<span'.(empty($forum_page['text_options']) ? ' class="first-item"' : '').'><a class="exthelp" href="'.forum_link($forum_url['help'], 'smilies').'" title="'.sprintf($lang_common['Help page'], $lang_common['Smilies']).'">'.$lang_common['Smilies'].'</a></span>';
 
-		// Setup headings
-		$forum_page['main_head'] = sprintf($lang_profile['Subform heading'], forum_htmlencode(end($forum_page['crumbs'][0])), $lang_profile['Section signature']);
-
 		($hook = get_hook('pf_change_details_signature_pre_header_load')) ? eval($hook) : null;
 
 		define('FORUM_PAGE', 'profile-signature');
@@ -2407,9 +2381,6 @@
 			$forum_page['frm_info']['avatar_size'] = '<li><span>'.sprintf($lang_profile['Avatar info size'], $forum_config['o_avatars_width'], $forum_config['o_avatars_height'], forum_number_format($forum_config['o_avatars_size']), forum_number_format(ceil($forum_config['o_avatars_size'] / 1024))).'</span></li>';
 		}
 
-		// Setup headings
-		$forum_page['main_head'] = sprintf($lang_profile['Subform heading'], forum_htmlencode(end($forum_page['crumbs'][0])), $lang_profile['Section avatar']);
-
 		($hook = get_hook('pf_change_details_avatar_pre_header_load')) ? eval($hook) : null;
 
 		define('FORUM_PAGE', 'profile-avatar');
@@ -2532,9 +2503,6 @@
 			$forum_page['user_management']['delete'] = '<div class="ct-set set'.++$forum_page['item_count'].'">'."\n\t\t\t\t".'<div class="ct-box">'."\n\t\t\t\t\t".'<h3 class="ct-legend hn">'.$lang_profile['Delete user'].'</h3>'."\n\t\t\t\t".'<p><a href="'.forum_link($forum_url['delete_user'], $id).'">'.$lang_profile['Delete user info'].'</a></p>'."\n\t\t\t\t".'</div>'."\n\t\t\t".'</div>';
 		}
 
-		// Setup headings
-		$forum_page['main_head'] = sprintf($lang_profile['Subform heading'], forum_htmlencode(end($forum_page['crumbs'][0])), $lang_profile['Section admin']);
-
 		($hook = get_hook('pf_change_details_admin_pre_header_load')) ? eval($hook) : null;
 
 		define('FORUM_PAGE', 'profile-admin');
diff -urN punbb-1.3/search.php punbb-1.3.1/search.php
--- punbb-1.3/search.php	2008-10-31 09:04:18.000000000 +0000
+++ punbb-1.3.1/search.php	2008-11-21 15:42:22.000000000 +0000
@@ -316,6 +316,23 @@
 				$forum_page['item_status']['posted'] = 'posted';
 			}
 
+			if ($cur_set['sticky'] == '1')
+			{
+				$forum_page['item_title_status']['sticky'] = '<em class="sticky">'.$lang_forum['Sticky'].'</em>';
+				$forum_page['item_status']['sticky'] = 'sticky';
+			}
+
+			if ($cur_set['closed'] != '0')
+			{
+				$forum_page['item_title_status']['closed'] = '<em class="closed">'.$lang_forum['Closed'].'</em>';
+				$forum_page['item_status']['closed'] = 'closed';
+			}
+
+			($hook = get_hook('se_results_topics_row_pre_item_subject_status_merge')) ? eval($hook) : null;
+
+			if (!empty($forum_page['item_title_status']))
+				$forum_page['item_title']['status'] = '<span class="item-status">'.sprintf($lang_forum['Item status'], implode(', ', $forum_page['item_title_status'])).'</span>';
+
 			$forum_page['item_title']['link'] = '<a href="'.forum_link($forum_url['topic'], array($cur_set['tid'], sef_friendly($cur_set['subject']))).'">'.forum_htmlencode($cur_set['subject']).'</a>';
 
 			$forum_page['item_pages'] = ceil(($cur_set['num_replies'] + 1) / $forum_user['disp_posts']);
@@ -339,24 +356,6 @@
 
 			$forum_page['item_body']['subject']['title'] = '<h3 class="hn"><span class="item-num">'.forum_number_format($forum_page['start_from'] + $forum_page['item_count']).'</span> '.implode(' ', $forum_page['item_title']).'</h3>';
 
-
-			if ($cur_set['sticky'] == '1')
-			{
-				$forum_page['item_subject_status']['sticky'] = $lang_forum['Sticky'];
-				$forum_page['item_status']['sticky'] = 'sticky';
-			}
-
-			if ($cur_set['closed'] != '0')
-			{
-				$forum_page['item_subject_status']['closed'] = $lang_forum['Closed'];
-				$forum_page['item_status']['closed'] = 'closed';
-			}
-
-			($hook = get_hook('se_results_topics_row_pre_item_subject_status_merge')) ? eval($hook) : null;
-
-			if (!empty($forum_page['item_subject_status']))
-				$forum_page['item_subject']['status'] = '<span class="item-status">'.sprintf($lang_forum['Item status'], implode(' ', $forum_page['item_subject_status'])).'</span>';
-
 			$forum_page['item_subject']['starter'] = '<span class="item-starter">'.sprintf($lang_forum['Topic starter'], '<cite>'.forum_htmlencode($cur_set['poster']).'</cite>').'</span>';
 
 			($hook = get_hook('se_results_topics_row_pre_item_subject_merge')) ? eval($hook) : null;
diff -urN punbb-1.3/style/Oxygen/Oxygen.css punbb-1.3.1/style/Oxygen/Oxygen.css
--- punbb-1.3/style/Oxygen/Oxygen.css	2008-11-09 13:47:27.000000000 +0000
+++ punbb-1.3.1/style/Oxygen/Oxygen.css	2008-11-26 13:51:24.000000000 +0000
@@ -1554,7 +1554,9 @@
 	border-left-width: 0.7em;
 	text-indent: 0.5em;
 	}
-
+.brd .postbody .author-info li span strong {
+	font-weight: normal;
+}
 .brd .online .author-ident .userstatus span {
 	font-weight: bold;
 	}
diff -urN punbb-1.3/style/Oxygen/Oxygen_cs.css punbb-1.3.1/style/Oxygen/Oxygen_cs.css
--- punbb-1.3/style/Oxygen/Oxygen_cs.css	2008-11-08 17:53:23.000000000 +0000
+++ punbb-1.3.1/style/Oxygen/Oxygen_cs.css	2008-11-21 15:42:22.000000000 +0000
@@ -66,15 +66,15 @@
 	background: #F2F4FA;
 	}
 
-.brd .main-content .main-item .hn .item-status em.sticky {
- 	color: #314B60;
- 	font-weight: bold;
- 	}
-
-.brd .main-content .main-item .hn .item-status em.closed {
- 	color: #314B60;
- 	font-weight: bold;
- 	}
+.brd .main-content .main-item .hn .item-status em.sticky ,
+.brd .main-content .main-item .hn .item-status em.closed{
+	color: #314B60;
+	font-weight: bold;
+	}
+
+.brd .main-content .main-item .hn .item-status em.moved {
+	color: #666;
+	}
 
 .brd .post * {
 	border-color: #DDE4EB
diff -urN punbb-1.3/viewforum.php punbb-1.3.1/viewforum.php
--- punbb-1.3/viewforum.php	2008-10-31 09:04:18.000000000 +0000
+++ punbb-1.3.1/viewforum.php	2008-11-21 15:42:22.000000000 +0000
@@ -212,7 +212,7 @@
 		if ($cur_topic['moved_to'] != null)
 		{
 			$forum_page['item_status']['moved'] = 'moved';
-			$forum_page['item_title']['link'] = '<a href="'.forum_link($forum_url['topic'], array($cur_topic['moved_to'], sef_friendly($cur_topic['subject']))).'"><span>'.$lang_forum['Moved'].'</span> '.forum_htmlencode($cur_topic['subject']).'</a>';
+			$forum_page['item_title']['link'] = '<span class="item-status"><em class="moved">'.sprintf($lang_forum['Item status'], $lang_forum['Moved']).'</em></span> <a href="'.forum_link($forum_url['topic'], array($cur_topic['moved_to'], sef_friendly($cur_topic['subject']))).'">'.forum_htmlencode($cur_topic['subject']).'</a>';
 
 			// Combine everything to produce the Topic heading
 			$forum_page['item_body']['subject']['title'] = '<h3 class="hn"><span class="item-num">'.forum_number_format($forum_page['start_from'] + $forum_page['item_count']).'</span>'.$forum_page['item_title']['link'].'</h3>';
@@ -283,8 +283,6 @@
 
 			($hook = get_hook('vf_topic_loop_normal_topic_pre_item_subject_merge')) ? eval($hook) : null;
 
-			$forum_page['item_body']['subject']['desc'] = implode(' ', $forum_page['item_subject']);
-
 			$forum_page['item_body']['info']['replies'] = '<li class="info-replies"><strong>'.forum_number_format($cur_topic['num_replies']).'</strong> <span class="label">'.(($cur_topic['num_replies'] == 1) ? $lang_forum['reply'] : $lang_forum['replies']).'</span></li>';
 
 			if ($forum_config['o_topic_views'] == '1')
diff -urN punbb-1.3/viewtopic.php punbb-1.3.1/viewtopic.php
--- punbb-1.3/viewtopic.php	2008-10-31 09:04:18.000000000 +0000
+++ punbb-1.3.1/viewtopic.php	2008-11-21 13:05:58.000000000 +0000
@@ -229,7 +229,7 @@
 $forum_page['crumbs'] = array(
 	array($forum_config['o_board_title'], forum_link($forum_url['index'])),
 	array($cur_topic['forum_name'], forum_link($forum_url['forum'], array($cur_topic['forum_id'], sef_friendly($cur_topic['forum_name'])))),
-	$cur_topic['subject']
+	array($cur_topic['subject'], forum_link($forum_url['topic'], array($id, sef_friendly($cur_topic['subject']))))
 );
 
 // Setup main heading
